Mandriva Linux

[Hardy][Intrepid] Low bandwidth with rt2400 / rt2500 drivers

Reported by Nicolas Deschildre on 2008-02-09
194
This bug affects 24 people
Affects Status Importance Assigned to Milestone
Linux
Expired
Medium
rt2x00 Project
Unknown
Unknown
linux (Mandriva)
Unknown
High
linux (Ubuntu)
High
Andy Whitcroft
Declined for Hardy by Steve Langasek
Declined for Intrepid by Steve Langasek
Declined for Jaunty by Steve Langasek
linux-backports-modules-2.6.24 (Ubuntu)
Medium
Unassigned
Declined for Hardy by Steve Langasek
Declined for Intrepid by Steve Langasek
Declined for Jaunty by Steve Langasek
linux-backports-modules-2.6.27 (Ubuntu)
Medium
Unassigned
Declined for Hardy by Steve Langasek
Declined for Intrepid by Steve Langasek
Declined for Jaunty by Steve Langasek
linux-backports-modules-2.6.32 (Ubuntu)
Medium
Unassigned
Declined for Hardy by Steve Langasek
Declined for Intrepid by Steve Langasek
Declined for Jaunty by Steve Langasek

Bug Description

Added description on June, 4th 2010:

This bug is still present in 10.04 Lucid Lynx. In comment #161 I've described a workaround that should be effective, at least in Lucid.

--Pjotr12345

----------------
Binary package hint: linux-ubuntu-modules-2.6.24-8-generic

I'm using hardy alpha 4 (on Linux nand-laptop 2.6.24-5-generic #1 SMP Thu Jan 24 19:45:21 UTC 2008 i686 GNU/Linux ) and I was testing a PCMCIA rt2500 card :
 03:00.0 Network controller [0280]: RaLink RT2500 802.11g Cardbus/mini-PCI [1814:0201] (rev 01)
with WEP encryption, near the AP :
wlan0 IEEE 802.11g ESSID:"DartyBox_005c"
          Mode:Managed Frequency:2.462 GHz Access Point: 00:09:5B:EB:32:20
          Bit Rate=1 Mb/s Tx-Power=27 dBm
          Retry min limit:7 RTS thr:off Fragment thr=2346 B
          Link Quality=43/100 Signal level=-54 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:0 Invalid misc:0 Missed beacon:0

The connection is working, but slowly (40 kb/s). It's due to the bit rate being set to 1Mb/s. If I manually set the rate to 54Mb/s, then I got the 900 kb/s I expect from my AP.

I have also tested with one other RT based I have, a RT73 one, and the bit rate goes automatically to 54Mb/s...

Cedric Schieli (cschieli) wrote :

I confirm this behaviour with a MSI CB54G2 adapter (rt2500pci/cardbus)

Cedric Schieli (cschieli) wrote :

This behaviour is still in 2.6.24-7

Changed in linux-ubuntu-modules-2.6.24:
status: New → Confirmed

My ralink rt2400 PCI card also works with wrong bandwidth (~52 kb/s instead of 132kb/s).

description: updated
Changed in linux-ubuntu-modules-2.6.24:
assignee: nobody → desktop-bugs
Changed in linux-ubuntu-modules-2.6.24:
assignee: desktop-bugs → ubuntu-kernel-team
Changed in linux-ubuntu-modules-2.6.24:
status: New → Confirmed
assignee: nobody → ubuntu-kernel-team
Wiktor Wandachowicz (siryes) wrote :

I have the same problem on Hardy Alpha 3 and Alpha 4 (can't remember earlier). This doesn't happen in Feisty and Gutsy.

However, I installed 64-bit Debian Sid and there is no slowdown at all. I even get 54Mbps instead of typical 11Mbps (!) over WPA-protected access point.

I have built rt2500-source twice:
* 1:1.1.0-b4-3 for 2.6.21-2-amd64 kernel
* 1:1.1.0-b4+cvs20070924-3 for 2.6.24-1-amd64 kernel

Details follow:

# uname -smvro
Linux 2.6.24-1-amd64 #1 SMP Mon Feb 11 16:01:54 UTC 2008 x86_64 GNU/Linux

# COLUMNS=160 dpkg -l rt2500*
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Installed/Config-files/Unpacked/Failed-config/Half-installed
|/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err: uppercase=bad)
||/ Name Version Description
+++-==================================-==================================-====================================================================================
un rt2500 <none> (no description available)
un rt2500-2.6.18-4-amd64 <none> (no description available)
un rt2500-2.6.21-2-amd64 <none> (no description available)
un rt2500-2.6.24-1-amd64 <none> (no description available)
pn rt2500-modules-2.6.18-4-amd64 <none> (no description available)
ii rt2500-modules-2.6.21-2-amd64 1:1.1.0-b4-3+2.6.21-5 RT2500 wireless network drivers
ii rt2500-modules-2.6.24-1-amd64 1:1.1.0-b4+cvs20070924-3+2.6.24-4 rt2500 wireless network driver
ii rt2500-source 1:1.1.0-b4+cvs20070924-3 source for rt2500 wireless network driver

# iwconfig eth2
eth2 RT2500 Wireless ESSID:"my-essid"
          Mode:Managed Frequency=2.437 GHz Access Point: 00:11:95:7E:00:86
          Bit Rate=54 Mb/s Tx-Power:-3 dBm
          RTS thr:off Fragment thr:off
          Encryption key:3B5D-3C7D-207E-37DC-EEED-D301-E4 Security mode:open
          Link Quality=84/100 Signal level:-51 dBm Noise level:-80 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:0 Invalid misc:0 Missed beacon:0

You've got 54 Mbs directly because you are using a different driver.

rt2500-source = legacy driver (driver name: rt2500).

The driver shipped with hardy is part of the rt2x00 set, included in the kernel tree (driver name: rt2500pci)

See http://rt2x00.serialmonkey.com/wiki/index.php/Downloads

Revelant discussion here:
http://rt2x00.serialmonkey.com/phpBB2/viewtopic.php?p=28726#28726

Upstream fixed this in 2.6.25 but will not backport it.

So shall we close this bugreport as won'tfix?

It think Ubuntu developers should help with backporting drivers. Hardy is LTS and shouldn't be buggy...

Hi Guys,

Do you by chance have a pointer to the upstream patch that went into 2.6.25 to resolve this? I didn't see anything in the upstream thread and it would be helpful to the kernel team. Thanks.

Changed in linux-ubuntu-modules-2.6.24:
status: Confirmed → Incomplete

When I asked him, he said he was not doing any backporting unless it
was a segfault.
(http://rt2x00.serialmonkey.com/phpBB2/viewtopic.php?t=4579&start=14).

On Mon, Mar 10, 2008 at 10:23 PM, Leann Ogasawara <email address hidden> wrote:
> Hi Guys,
>
> Do you by chance have a pointer to the upstream patch that went into
> 2.6.25 to resolve this? I didn't see anything in the upstream thread
> and it would be helpful to the kernel team. Thanks.
>
> ** Changed in: linux-ubuntu-modules-2.6.24 (Ubuntu)
> Status: Confirmed => Incomplete
>
> --
> [Hardy] Backport rt2400/rt2500 drivers
> https://bugs.launchpad.net/bugs/190515
> You received this bug notification because you are a direct subscriber
> of the bug.
>

@Nicolas Deschildre
> You've got 54 Mbs directly because you are using a different driver.
> rt2500-source = legacy driver (driver name: rt2500).

Since the Debianers used rt2500, I have tried the same - but without luck. The version from Ubuntu repository didn't want to compile with module-assistant (it died with error).

Your post gave me another idea, to use the rt2500 straight from CVS. And it worked!
I've used the "rt2500 1.1.0 CVS 2008030802" version, which compiled and worked fine on 2.6.24-11-generic kernel. It gave me full 54Mb/s :) Yes, I blacklisted manually rt2x00lib, rt2x00pci and rt2500pci but I think it was worth it :D

Today I've installed the upgrades and along with them came the 2.6.24-12-generic kernel. As expected, the wi-fi card worked no loger, since the relevant modules were left in the previous kernel. So, using a routine I used to in my Gentoo days, I reinstalled the driver after the kernel upgrade. It was only a matter of:

"make clean ; make ; make install ; modprobe rt2500"

And there it is again:
# iwconfig wlan0
wlan0 RT2500 Wireless ESSID:"przestrzen"
          Mode:Managed Frequency=2.437 GHz Access Point: 00:AA:BB:CC:DD:EE
          Bit Rate=54 Mb/s Tx-Power:-3 dBm
          RTS thr:off Fragment thr:off
          Encryption key:XXXX-XXXX-XXXX-XXXX-XXXX-XXXX-XX Security mode:open
          Link Quality=85/100 Signal level:-49 dBm Noise level:-79 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:0 Invalid misc:0 Missed beacon:0

I appreciate the serialmonkey work very much, but just as a quick remedy I'm reverting for now to the legacy rt2500 driver (that works :)

Friendly,
Wiktor

My rt2400 card works well with rt2400-source built with module-assistant (after blacklisting rt2400pci)

Could a switch to the legacy drivers be considered at this point for the rt2400/2500 hardware, knowing that the legacy drivers have worked great on previous releases, and that the 2.6.24 rt2x00 won't be fixed (cf previous posts)?

I'll redo some tests, but IIRC, the range of the wifi link was also diminished...

Jef Damen (jef-damen) wrote :

Hi everyone,
I have an Asus WL-107g wlan card (Ralink RT2500 chipset) that works great under Edubuntu 7.10 but with Hardy Heron (with the latest updates until now) the traffic is very slow (about 40Kb/s i.s.o 400Kb/s).
Thanks for the support, bye
Jef

Stéphane B. (baiget-stephane) wrote :

I confirm this bug with my PC54G2. Tthe bit rate is set to 1Mb/s.

Confirmed...after upgrading from 7.10 to 8.04 it defaults to about half the signal level and sets the bit rate 1M.

Running 'sudo iwconfig wlan0 rate 54M' increases the tranfer rate but the signal level is still a lot lower then in 7.10.

$ iwconfig wlan0
wlan0 IEEE 802.11g ESSID:"freebsdap"
          Mode:Managed Frequency:2.447 GHz Access Point: 00:14:6C:72:86:52
          Bit Rate=54 Mb/s Tx-Power=27 dBm
          Retry min limit:7 RTS thr:off Fragment thr=2346 B
          Link Quality=45/100 Signal level=-60 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:0 Invalid misc:0 Missed beacon:0

$ sudo lspci -vvv
03:00.0 Network controller: RaLink RT2500 802.11g Cardbus/mini-PCI (rev 01)
 Subsystem: ASUSTeK Computer Inc. Unknown device 107f
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=slow >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 Latency: 64, Cache Line Size: 32 bytes
 Interrupt: pin A routed to IRQ 11
 Region 0: Memory at 38000000 (32-bit, non-prefetchable) [size=8K]
 Capabilities: [40] Power Management version 2
  Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
  Status: D0 PME-Enable- DSel=0 DScale=0 PME-

Hi Nicolas,

Just wanted to let you know that one of the Ubuntu kernel team devs has a patchset to bring the rt2x00 code in Hardy uptodate with what upstream has. It is currently being discussed since we are in Beta Freeze for Hardy and almost at the kernel freeze. If it does get pulled in, hopefully it may help resolve this issue. Thanks.

Changed in linux-ubuntu-modules-2.6.24:
importance: Undecided → Medium
status: Incomplete → Triaged

Nice!
Let's hope the patchset will be considered stable enough for inclusion...

On Thu, Mar 27, 2008 at 12:46 AM, Leann Ogasawara <email address hidden> wrote:
> Hi Nicolas,
>
> Just wanted to let you know that one of the Ubuntu kernel team devs has
> a patchset to bring the rt2x00 code in Hardy uptodate with what upstream
> has. It is currently being discussed since we are in Beta Freeze for
> Hardy and almost at the kernel freeze. If it does get pulled in,
> hopefully it may help resolve this issue. Thanks.
>
> ** Changed in: linux-ubuntu-modules-2.6.24 (Ubuntu)
> Importance: Undecided => Medium
> Status: Incomplete => Triaged
>
>
>
> --
> [Hardy] Low bandwidth with rt2400 / rt2500 drivers
> https://bugs.launchpad.net/bugs/190515
> You received this bug notification because you are a direct subscriber
> of the bug.
>

I'm not sure why this is "Medium". Most computers these days are doorstops if they don't have reliable networking.

You have a LTS release due next month and you are persisting with releasing broken drivers for Ralink chipsets. There was a point about a month ago where someone needed to make a call and either revert to the old drivers or commit to getting the new ones working in time for Hardy.

I for one am using the old drivers.

Matt Stevenson (saturnreturn) wrote :

Thought I'd just say that I ran into this problem after upgrading Gutsy to Hardy, i.e. slow connection, 50% signal strength, but that running the command 'sudo iwconfig wlan0 rate 54M' has fixed both aspects of the problem. So to me it seems the driver works but is just being configured wrongly. Maybe for the Hardy release all that needs to happen is for the rate to be set to 54M by default? My thinking might be too simplistic though.

P.S. I'm using kernel 2.6.24-14-generic with a rt2500pci card.

Morgan (morganfw) wrote :

I've the same problem in Hardy Beta, Kernel 2.6.24-16 and rt2500pci card.
I've 10/10 Mbps Internet Optical Fiber connection, but speed indication on Ralink card is 1 Mb/s and signal is 50/70 %, very slow speed (50/100 kbps).

cox.jmark (cox.jmark) wrote :

I'm having the same problem after upgrading from Gutsy to Hardy. Considering that this chipset is used in many "low end" wireless cards I believe this is a problem that should be addressed before Hardy's final release. In the current state many folks are going to be left with nearly useless wireless cards.

As Matt S. above suggests maybe this is as simple as changing a default setting?

2.6.24-16-generic
RaLink RT2500 802.11g Cardbus/mini-PCI (rev 01)

Cedric Schieli (cschieli) wrote :

I've installed linux-backports-modules-2.6.24-16-generic and my card (rt2500pci based) now initialize at 54Mbps at boot time.
WEP 128 is working.

Great work !

Shawn McMahon (smcmahon) wrote :

Installed latest backports packages, but my card still initializes at 1Mbps. I can set the rate to 54Mbps manually and get decent speed/signal.

$ uname -a; lspci | grep RaL
Linux paragon 2.6.24-16-generic #1 SMP Thu Apr 10 13:23:42 UTC 2008 i686 GNU/Linux
00:0b.0 Network controller: RaLink RT2500 802.11g Cardbus/mini-PCI (rev 01)

Michele B. (lupp0l0) wrote :

Same problem here with rt2500pci. I've got a more reliable connection using Compat Wireless driver available here:
http://linuxwireless.sipsolutions.net/en/users/Download

Using the latest package do not solve the problem, downloading the old package (25 March 2008) the wireless card seem to work better. The older packages of Compat Wireless are available here:
http://www.orbit-lab.org/kernel/compat-wireless-2.6/

Hope this helps

I have the same problem here with a Hercules Wireless PCI G card.
I downloaded the drivers from rt2x00.serialmonkey.com and now everything works well.
The priority of this should be high as this is a serious problem and very easy to fix.

Mindaugas (loginnn) wrote :

'sudo iwconfig wlan0 rate 54M' and all the problems (slow connection and 50% of signal strength) with rt2500pci are gone. Thanks!

1 comments hidden view all 173 comments
Lorenzo (fabro) wrote :

uname -a; lspci | grep RaL
Linux Aragorn 2.6.24-16-386 #1 Thu Apr 10 12:50:06 UTC 2008 i686 GNU/Linux
03:00.0 Network controller: RaLink RT2500 802.11g Cardbus/mini-PCI (rev 01)

'sudo iwconfig wlan0 rate 54M' works for me too...how can i automate it!?!?
thanks

Lorenzo (fabro) wrote :

but the led of my PCMCIA card does blink no more!!!
WHY!!!

Kaminix (kaminix) wrote :

My network card worked fine on both 7.x-releases, but now in Hardy it does not.

This is how I solved it (and shouldn't have had to... FAR too much hassle):
0) Install build essentials...
1) Download the rt2500 serialmonkey drivers, compile and install. (wget, make, sudo make install)
2) Blacklist the old drivers (add rt2500pci, rt2x00pci and rt2x00lib to /etc/modprobe.d/blacklist or something)
3) Add 'alias ra0 rt2500' to /etc/modprobe.d/aliases.
4) Add 'ifconfig ra0 up' to /etc/rc.local
5) Add 'auto wlan0' and 'iface ra0 inet dhcp' to /etc/networking/interfaces
Optional: 6) Remove knetworkmanager, it doesn't work anymore anyway...

I mean... really? This all 'just worked' in the previous versions, and now it was like one and a half day of IRC/web search for help fixing it!
All this on an LTS!?

aykito (dcabrerizo) wrote :

Hi, I'm another guy trying substitute his Windows XP by Ubuntu 8.04 (...and I'm about to give up).
The last problem I found so far is exactly defined in this bug:
MSI PC54G2 with rt2500 drivers and Internet extremely slow.

Question: Is adding the lines...
    ifconfig wlan0 up
    iwconfig wlan0 rate 54M
to /etc/rc.local a temporal solution (but 100% functional) till this bug is fixed?
I understood that the only consequence of this bug is that the adapter is initialized with a baudrate 1Mb. Are there any other additional consequeces?

I've tried this solution, after deactivating IPv6 (which is another source of speed problems), but internet is still quite slow (compared with the same system running Widnows). So I'm not sure if I should look for other problems (hardware? router? Firefox 3?) or try to compile the last drivers as described in the last post.

By the way, despite my complainments: good work.

jan (jan-ubuntu-h-i-s) wrote :

'sudo iwconfig wlan0 rate 54M' helped me out with RaLink RT2500 802.11g Cardbus/mini-PCI (rev 01) / Subsystem: Linksys WMP54G 2.0 PCI Adapter
Thanks a lot for the workaround.

aykito (dcabrerizo) wrote :

Hi, I succeeded in installing the serialmonkey drivers and now I have full speed internet again, at least till the next update.
Because the process is not easy at all (at least for newbies like me), I have documented it in ubuntu forums:
http://ubuntuforums.org/showthread.php?p=4894088

Greetings

Devin Walters (devinw) wrote :

I agree with previous posters. This issue is absolutely not "medium". LTS = RaLink 2500 fixed, period. I don't claim to be an expert, but I went through this ugly wireless setup process three releases ago to get WPA2 working, and seeing it borked again just sucks. Fix this. Please.

Andreas Gnau (rondom) wrote :

Please try and see if installing linux-backports-modules-hardy solves your problems.

ekravche (eugenekravchenko) wrote :

Have the same problem the only solution for me was to switch back to an older kernel. I'm waiting till this is resolved in the newer kernel.

ekravche (eugenekravchenko) wrote :

Btw, it's still a problem in 2.6.24-17-generic. I'm using 2.6.24-17-generic for now

jan (jan-ubuntu-h-i-s) wrote :

Question on Andreas Gnaus 2008-05-07 21:38:03 UTC contribution: in Synaptic, I see a couple of similar units. Do you mean the complete backport package for all modules that have had a backport, or only linux-backports-modules-hardy-rt ? Do you have success with it ?

Changed in linux-restricted-modules-2.6.24:
status: New → Confirmed
assignee: nobody → ubuntu-kernel-team
jan (jan-ubuntu-h-i-s) wrote :

It took me a day, many reboots, and only worse performance:
I installed linux-backports-modules-hardy (NOT the -386, as I inadvertently did, or the -rt, but the -generic, as automatically selected).
Speed still set to 1 Mb instead of 54Mb.
Dramatic worse performance after a connection was broken due to bad signal: I could not het the PC to work as a router, except after rebooting.
Installing linux-backports-modules-hardy STRONGLY DISCOURAGED.

Changed in linux:
importance: Undecided → Medium
status: Confirmed → Triaged
Changed in linux:
status: Unknown → In Progress
Changed in linux:
status: Unknown → Confirmed
Changed in linux:
importance: Medium → High
Andy Whitcroft (apw) on 2009-03-02
Changed in linux-restricted-modules-2.6.24:
status: Confirmed → Invalid
Changed in linux-ubuntu-modules-2.6.24:
status: Triaged → Invalid
Andy Whitcroft (apw) on 2009-03-17
Changed in linux:
status: Triaged → Incomplete
93 comments hidden view all 173 comments
Andy Whitcroft (apw) wrote :

@goto -- you would need to install l-b-m and then reboot which would not work on a CD. However if you install the image onto a USB stick using usb-creator then that has persistance and you can reboot that to test.

Changed in linux:
assignee: nobody → apw
status: Incomplete → In Progress
Andy Whitcroft (apw) on 2009-03-24
Changed in linux-ubuntu-modules-2.6.24:
status: Invalid → Won't Fix
Changed in linux-restricted-modules-2.6.24:
status: Invalid → Fix Committed
Changed in linux-backports-modules-2.6.28:
status: New → Fix Released
Changed in linux:
status: In Progress → Won't Fix
Andy Whitcroft (apw) wrote :

To summarise the status/package updates. This problem is related to the quality of the rt driver in the base kernel. This is not something we propose to fix in the kernel version as the changes to the latest are too great, therefore closing the kernel task Won't Fix. However, the driver is already backported for Intrepid and Jaunty in the linux-backports-modules-2.6.27/28 packages for those releases. Therefore closing FIx Commited for Intrepid and Jaunty. For Hardy the kernel changes are too great for a backport to be feasable therefore closing that task Won't Fix.

Changed in linux-backports-modules-2.6.27:
importance: Undecided → Medium
Changed in linux-backports-modules-2.6.28:
importance: Undecided → Medium
goto (gotolaunchpad) wrote :

So this bug is fixed in Ubuntu but you don't push the fix back upstream?

On Tue, Mar 24, 2009 at 02:16:26PM -0000, goto wrote:
> So this bug is fixed in Ubuntu but you don't push the fix back upstream?

This is fixed much later upstream and has been backported to this older
Ubuntu release.

goto (gotolaunchpad) wrote :

Oh, nice. Could you point me to the commit in the upstream project? So one could close this [1] now, as it should be fixed in linux 2.6.29?

Thanks!

[1] http://bugzilla.kernel.org/show_bug.cgi?id=9273

arturj (arturj-freenet) wrote :

Hello,

tested the "fixed" driver using ubuntu-proposed repository and this packages:

linux-image-2.6.27-14-generic
linux-backports-modules-2.6.27-14-generic

I can confirm that the driver now initializes fine at a much higher rate (in my case at about 48Mbit/s), while link quality ist displayed at a very high level (by network-manager).

BUT, running a web-based dsl-speed-test only the first run (after initialization of my wireless connection my network-manager) gives me a good result (for me about 6MBit/s which maches exaclty what should be) and any further run of the test shows different speeds, but all of them are much lower, simetimes as low as 1Mbit/s.

I repeated this test switching multiple times between this driver and the legacy rt2500 driver and everytime get the same results. Somehow the speed is very unstble for me.

BTW. The legacy driver passed the dsl-speed-test constantly at about 5.8Mbit/s at each run.

Sebastian Urban (surban) wrote :

I can confirm that using linux-backports-modules-2.6.28-11-generic on Jaunty fixes the problem for me.

Is there any reason why the fixed driver is in the backports package and not installed by default?

Oliver Horn (oliverhorn) wrote :

Not for me, I still have the problem eventhough I installed linux-backports-modules-jaunty.

This has not been fixed yet. I just performed a clean install of jaunty and suffered a godforsaken slow connection (like I did back in the Intrepid days). I had to do sudo iwconfig wlan0 rate 54M and sudo iwconfig wlan0 rate fixed to get a decent speed again.

Reopening.

Changed in linux-backports-modules-2.6.28 (Ubuntu):
status: Fix Released → Confirmed
1 comments hidden view all 173 comments

Reverting. Still present in jaunty

Changed in linux-backports-modules-2.6.27 (Ubuntu):
status: Fix Committed → Confirmed

Sorry, I'm a moron who needs to read the comments

Changed in linux-backports-modules-2.6.27 (Ubuntu):
status: Confirmed → Fix Committed
Changed in linux-backports-modules-2.6.28 (Ubuntu):
status: Confirmed → Fix Committed
foxy123 (foxy) wrote :

this issue is still present in Karmic
~$ uname -a
Linux neclaptop 2.6.31-13-generic #42-Ubuntu SMP Thu Oct 8 20:04:50 UTC 2009 i686 GNU/Linux

~$ modinfo rt2500pci
filename: /lib/modules/2.6.31-13-generic/kernel/drivers/net/wireless/rt2x00/rt2500pci.ko
license: GPL
description: Ralink RT2500 PCI & PCMCIA Wireless LAN driver.
version: 2.3.0
author: http://rt2x00.serialmonkey.com
srcversion: 017B67DDC35630260307788
alias: pci:v00001814d00000201sv*sd*bc*sc*i*
depends: rt2x00lib,rt2x00pci,eeprom_93cx6
vermagic: 2.6.31-13-generic SMP mod_unload modversions 586

I confirm this bug with Karmic. To set the bit rate manually doesn't work anymore.
The bit rate seems to have been changed but the connection is still very slow and the connectivity is poor.

~$ iwconfig
lo no wireless extensions.

wmaster0 no wireless extensions.

wlan0 IEEE 802.11bg ESSID:"Reseau_maison"
          Mode:Managed Frequency:2.457 GHz Access Point: 00:07:CB:53:DD:50
          Bit Rate=54 Mb/s Tx-Power=20 dBm
          Retry long limit:7 RTS thr:off Fragment thr:off
          Power Management:on
          Link Quality=33/70 Signal level=-77 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:0 Invalid misc:0 Missed beacon:0

~$ uname -a
Linux bellerophon 2.6.31-14-generic #48-Ubuntu SMP Fri Oct 16 14:04:26 UTC 2009 i686 GNU/Linux

~$ modinfo rt2500pci
filename: /lib/modules/2.6.31-14-generic/kernel/drivers/net/wireless/rt2x00/rt2500pci.ko
license: GPL
description: Ralink RT2500 PCI & PCMCIA Wireless LAN driver.
version: 2.3.0
author: http://rt2x00.serialmonkey.com
srcversion: 017B67DDC35630260307788
alias: pci:v00001814d00000201sv*sd*bc*sc*i*
depends: rt2x00lib,rt2x00pci,eeprom_93cx6
vermagic: 2.6.31-14-generic SMP mod_unload modversions 586

Pjotr12345 (computertip) wrote :

@ Stéphane B.:
You could try if a different bitrate helps: 11M instead of 54M. Does this help?

No, it doesn't do anything.

Paul Moulson (moulsonp) wrote :

I can confirm this bug in 9.10 also. Is this bug active and being worked on? Should be a high priority because no one is maintaining the legacy serialmonkey rt2500 drivers any longer.

foxy123 (foxy) wrote :

It's been committed a few months ago but still has not made into 9.10

Paul Moulson (moulsonp) wrote :

One last plea for someone to fix this and get it into a ubuntu 9.10 repo before I bite the bullet and buy a replacement wifi card. I think it is really poor how support for this card has effectively been dropped as soon as it makes it's way into the linux kernel tree.

foxy123 (foxy) wrote :

the only walkaround I currently know is to use ndiswrapper with 2.6.32 kernel (there is another bug in Ubuntu, which prevents to use ndiswrapper with the current kernel). You can find instructions for where to get the new kernel here: http://ubuntuforums.org/showpost.php?p=8694409&postcount=35 To use ndiswrapper you will have to blacklist the native rt2x00 driver.

papukaija (papukaija) wrote :

@foxy123: Are you using Karmic? My rt2500 device, Asus WL-167G (usb), runs perfectly out of the box with the default driver (included in the kernel) in Karmic and it's configured with network-manager.

Paul Moulson (moulsonp) wrote :

I had been using 2.3.31-17 so tried upgrading to 2.6.32 but still can't get more than 1Mb/s through my 10Mb/s Internet connection.

@papukaija - I can believe the rt2500pci kernel module is providing adequate support for some devices - but not certainly not for my RaLink PCI card.

Details of my configuration below. Also more than happy to provide more information if required.

paul@locke:~$ uname -r
2.6.32-020632-generic

paul@locke:~$ iwconfig wlan0
wlan0 IEEE 802.11bg ESSID:"174A"
          Mode:Managed Frequency:2.442 GHz Access Point: 00:14:7C:B6:14:C8
          Bit Rate=54 Mb/s Tx-Power=20 dBm
          Retry long limit:7 RTS thr:off Fragment thr:off
          Power Management:off *
          Link Quality=62/70 Signal level=-48 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:0 Invalid misc:0 Missed beacon:0

* Note: I have had to disable power management due to this bug: http://www.gossamer-threads.com/lists/linux/kernel/1129333
Saying that, regardless of whether I enable or disable it I still get the poor throughput.

lspci -v

03:02.0 Network controller: RaLink RT2500 802.11g Cardbus/mini-PCI (rev 01)
 Subsystem: Belkin Device 700a
 Flags: bus master, slow devsel, latency 64, IRQ 18
 Memory at ecefa000 (32-bit, non-prefetchable) [size=8K]
 Capabilities: [40] Power Management version 2
 Kernel driver in use: rt2500pci
 Kernel modules: rt2500pci

papukaija (papukaija) on 2010-03-19
tags: added: hardy intrepid
sles (slesru) wrote :

Just upgraded Ubuntu from 8.04 ( I used rt2500 driver in it, compiled it myself) to 10.04 and see very slow (less then 1 Mbit) wifi connection with rt2500pci.
The same problem with 2.6.34 from ppa.
Unfortunately, I can't compile rt2500 with 2.6.32 and newer kernels, so I need a solution.
I tried to change speed with iwconfig, it helps, but only for several seconds.
And see many frame errors on wi-fi interface of wi-fi router, which also run linux :-)
Is there any way to get back my wi-fi connection? :-)

Pjotr12345 (computertip) wrote :

@ sles:
Try if this helps:

sudo iwconfig wlan0 rate 11M

Sybren Harmsma (harmsma) wrote :

@ sles:

Whenever I notice my rt2500pci's (linksys wmp54g) connection is slow, I right-click the NetworkManager applet on the Ubuntu desktop, deselect "Enable Wireless", wait 2 seconds, then enable it again. This usually works for a couple of hours. Sometimes it's only a few minutes, sometimes more than a day. Maybe I'll write a script for this one day.

Good luck.

Pjotr12345 (computertip) wrote :

OK, this appears to be an effective workaround: disable power management for the wireless chipset. As follows:

Applications - Accessories - Terminal
type (use copy/paste):
gksudo gedit /etc/rc.local

Press Enter.

Add this line, just above exit 0 (use copy/paste):
iwconfig wlan0 power off

So it should become something like this (example):

#!/bin/sh -e
#
# rc.local
#
# This script is executed at the end of each multiuser runlevel.
# Make sure that the script will "exit 0" on success or any other
# value on error.
#
# In order to enable or disable this script just change the execution
# bits.
#
# By default this script does nothing.
iwconfig wlan0 power off
exit 0

Save, close and reboot. The problem should be fixed permanently.

Please report your findings.

tags: added: lucid
description: updated
Pjotr12345 (computertip) on 2010-06-04
description: updated
papukaija (papukaija) wrote :

The power management issue is fixed in maverick as it has the 2.6.34 kernel.

ngc2997 (ngc2997) wrote :

Hm, seems my RT2560 based card is now also affected by this issue, although I actually didn't notice until now.. (well, recently, I exchanged my modem router, but that should not be an issue - a netbook with an Intel wireless device runs at full 54M bandwidth all the time, while my RT2x00 card slows down at the same time).

The card's power management is off by default on my system (by rc.local), yet it seems the card slows down from time to time to rates around 1400mbit/s. At first I thought this had something to do with pptp being enabled over the wireless network, but the problem persists when I disconnect from VPN. After shutting down the wireless connection via NetworkManager, and bringing it up again, bandwidth returns back to normal.

iwconfig permanently reports 54M, signal strength is 80% most of the time. Is there a safe way to undoubtedly tell the bandwidth reduction I am experiencing here is actually the same issue as reported here?

Dan (daniel-scharon) wrote :

like with the stock kernel in lucid, the bug is also persistent with the modules in linux-backports-modules-wireless-2.6.32-24-generic

affects: linux-backports-modules-2.6.28 (Ubuntu) → linux-backports-modules-2.6.32 (Ubuntu)
Changed in linux-backports-modules-2.6.32 (Ubuntu):
status: Fix Committed → New
Colombia (el-bambino) wrote :

Hi, every body, I find a workaround for his untimely disconnection to operate with rt2500 lucid in ad-hoc mode. Because the downside is to stop the update has some major security on file.
go here:

http://forum.ubuntu-fr.org/viewtopic.php?id=419044

Assistance will be welcome.
PS: sorry for my English Littel

see you soon!

Sybren Harmsma (harmsma) wrote :

I am still experiencing this bug in karmic.

Today I tried maverick (running from a USB stick), unfortunately the problem is still present. First the connection is fine (1.0 MB/s in my case), later the speed drops to 64 kB/s - 100 kB/s. (I'm testing the speed with 'scp'.) Then I tried:
# iwconfig wlan0 power off
# iwconfig wlan0 rate 54M fixed

Then iwconfig will claim the speed is 54M, but actually it's much slower. As I wrote earlier, my workaround is right-click the NetworkManager applet on the Ubuntu desktop, deselect "Enable Wireless", wait 2 seconds, then enable it again. Then the speed is good again for 1 minute to 1 day. (varies)

ubuntu@ubuntu:~$ uname -a
Linux ubuntu 2.6.35-22-generic #33-Ubuntu SMP Sun Sep 19 20:34:50 UTC 2010 i686 GNU/Linux

ubuntu@ubuntu:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 10.10
Release: 10.10
Codename: maverick

ubuntu@ubuntu:~$ modinfo rt2500pci
filename: /lib/modules/2.6.35-22-generic/kernel/drivers/net/wireless/rt2x00/rt2500pci.ko
license: GPL
description: Ralink RT2500 PCI & PCMCIA Wireless LAN driver.
version: 2.3.0
author: http://rt2x00.serialmonkey.com
srcversion: A92C9A44EDA76B8F1D30911
alias: pci:v00001814d00000201sv*sd*bc*sc*i*
depends: rt2x00pci,rt2x00lib,eeprom_93cx6
vermagic: 2.6.35-22-generic SMP mod_unload modversions 686

Loic Pefferkorn (loic) wrote :

Hello,

The rt2500 chipset doesn't have any publicly datasheet available, so its development/bugs fixing is hard.

I have asked more information on this really well known problem on the rt2x00's forum, and also where the datasheets are (to try to fix the bug by myself), here is the answer from Ivo van Doorn, administrator of the rt2x00 project:

"The specsheets are not publicly available. Only those for rt61 and rt73 have been released publicly by Ralink on their website, all older chipsets have not had this privilege and thus remain closed (although they are available to rt2x00 team members)."

So only the t2x00 team members are able to fix this bug, because they are the only ones to have access to the datasheet.

Since this is an older chipset, I can understand that they prefer working on more recent chipset.

There seems to be an infinite amount of trust in the so-called
specsheets from Ralink.
If you would take a look at the publicly available sheets for rt61 and
rt73, you would
notice that there isn't that much useful in there to resolve
throughput issues as
experienced on rt2500pci/usb rt61pci/rt73usb (yes the problem is not
only rt2500pci).

But it is correct that the main focus currently is on the rt2800pci/usb drivers.
We still want to maintain the older drivers, but we simply lack the
time and developers
for working on all drivers at the same time.

On Tue, Nov 2, 2010 at 8:40 PM, Loic Pefferkorn
<email address hidden> wrote:
> Forgot the link to the answer:
> http://rt2x00.serialmonkey.com/phpBB/viewtopic.php?p=34505#p34505
>
> --
> [Hardy][Intrepid] Low bandwidth with rt2400 / rt2500 drivers
> https://bugs.launchpad.net/bugs/190515
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Changed in linux:
importance: Unknown → Medium
Changed in linux (Mandriva):
importance: Unknown → High
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux-backports-modules-2.6.32 (Ubuntu):
status: New → Confirmed

This bug is still present in Precise.

Using an A-Link PCI card
("Ralink corp. RT2500 Wireless 802.11bg (rev 01)" according to lspci),
I get about 1.4 Mbit/s regardless of what iwconfig shows, and
so many dropped packets it's practically unusable.

Disabling power management as per comment #161 helped somewhat:
I get higher speeds, up to 10 Mbit/s immediately after boot, but soon
it drops back to 1.4 Mbit/s range. It doesn't, however, drop packets
anymore, so it's usable although sluggish.

(Speeds measured with netperf.)

Changed in linux:
status: Confirmed → Expired

This bug is indeed no longer present in Quantal
(in my machine anyway). :-)

Changed in linux (Mandriva):
status: In Progress → Unknown

A followup to my comment #172 above: things are not perfect with quantal either.
The card behaves differently, starting up with good speed consostently, but
it's not stable, eventually losing connection totally sooner or later,
and too often sooner rather than later.

Displaying first 40 and last 40 comments. View all 173 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.